import request from '@/utils/request'

// 查询详细知识库标签
export function queryKnowledgeList() {
  return request({
    url: '/core/knowledge/dataList' ,
    method: 'get'
  })
}

// 查询列表知识库标签
export function listKnowledge(query) {
  return request({
    url: '/core/knowledge/list',
    method: 'get',
    params: query
  })
}

// 查询详细知识库标签
export function getKnowledge(id) {
  return request({
    url: '/core/knowledge/' + id,
    method: 'get'
  })
}

// 新增知识库标签
export function addKnowledge(data) {
  return request({
    url: '/core/knowledge',
    method: 'post',
    data: data
  })
}

// 修改知识库标签
export function updateKnowledge(data) {
  return request({
    url: '/core/knowledge',
    method: 'put',
    data: data
  })
}

// 删除知识库标签
export function delKnowledge(id) {
  return request({
    url: '/core/knowledge/' + id,
    method: 'delete'
  })
}
